public inbox for gentoo-commits@lists.gentoo.org
 help / color / mirror / Atom feed
* [gentoo-commits] dev/mrueg:master commit in: dev-ruby/omniauth-saml/
@ 2016-03-27 18:18 Manuel Rüger
  0 siblings, 0 replies; 3+ messages in thread
From: Manuel Rüger @ 2016-03-27 18:18 UTC (permalink / raw
  To: gentoo-commits

commit:     bb5b52fdb9724bf2e3cbbe0114c8dc2d3c39fcdc
Author:     Manuel Rüger <mrueg <AT> gentoo <DOT> org>
AuthorDate: Sun Mar 27 18:17:51 2016 +0000
Commit:     Manuel Rüger <mrueg <AT> gentoo <DOT> org>
CommitDate: Sun Mar 27 18:17:51 2016 +0000
URL:        https://gitweb.gentoo.org/dev/mrueg.git/commit/?id=bb5b52fd

dev-ruby/omniauth-saml: Initial version

Package-Manager: portage-2.2.28

 dev-ruby/omniauth-saml/Manifest                   |  1 +
 dev-ruby/omniauth-saml/metadata.xml               |  8 ++++++
 dev-ruby/omniauth-saml/omniauth-saml-1.5.0.ebuild | 32 +++++++++++++++++++++++
 3 files changed, 41 insertions(+)

diff --git a/dev-ruby/omniauth-saml/Manifest b/dev-ruby/omniauth-saml/Manifest
new file mode 100644
index 0000000..ac4ebda
--- /dev/null
+++ b/dev-ruby/omniauth-saml/Manifest
@@ -0,0 +1 @@
+DIST omniauth-saml-1.5.0.tar.gz 16273 SHA256 6dcd4abbd60dcb920ca2658cc55b28d67c1ca9fde9025de443d254523fe9fce6 SHA512 f0bf89e1cd33008c6693a9ab04d2feb21b029adcc675bdf5e4e20ac589558c5ff9a66abb6e9ada3703e091a4768d3063769e38243a70f5bec9f4a497e870fb10 WHIRLPOOL e9736bc40391ce4a45c865f98af07592e2c7c5b7baae11cb7ad8876cc61f4ea80ac88616399da51f76354a46d15756158dd4a0158b51ce9f42f83cb2bed07f8d

diff --git a/dev-ruby/omniauth-saml/metadata.xml b/dev-ruby/omniauth-saml/metadata.xml
new file mode 100644
index 0000000..bfcb697
--- /dev/null
+++ b/dev-ruby/omniauth-saml/metadata.xml
@@ -0,0 +1,8 @@
+<?xml version="1.0" encoding="UTF-8"?>
+<!DOCTYPE pkgmetadata SYSTEM "http://www.gentoo.org/dtd/metadata.dtd">
+<pkgmetadata>
+	<maintainer>
+		<email>mrueg@gentoo.org</email>
+		<name>Manuel Rüger</name>
+	</maintainer>
+</pkgmetadata>

diff --git a/dev-ruby/omniauth-saml/omniauth-saml-1.5.0.ebuild b/dev-ruby/omniauth-saml/omniauth-saml-1.5.0.ebuild
new file mode 100644
index 0000000..7081bfc
--- /dev/null
+++ b/dev-ruby/omniauth-saml/omniauth-saml-1.5.0.ebuild
@@ -0,0 +1,32 @@
+# Copyright 1999-2016 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+# $Id$
+
+EAPI=5
+
+USE_RUBY="ruby20 ruby21 ruby22"
+
+RUBY_FAKEGEM_RECIPE_TEST="rspec"
+RUBY_FAKEGEM_RECIPE_DOC="rdoc"
+
+inherit ruby-fakegem
+
+DESCRIPTION="A generic SAML strategy for OmniAuth"
+HOMEPAGE="https://github.com/omniauth/omniauth-saml https://rubygems.org/gems/omniauth-saml"
+SRC_URI="https://github.com/omniauth/omniauth-saml/archive/v${PV}.tar.gz -> ${P}.tar.gz"
+
+LICENSE="MIT"
+SLOT="0"
+KEYWORDS="~amd64"
+IUSE=""
+
+ruby_add_rdepend ">=dev-ruby/omniauth-1.3
+	<dev-ruby/omniauth-2
+	>=dev-ruby/ruby-saml-1.1.1
+	<dev-ruby/ruby-saml-2"
+ruby_add_bdepend "test? ( >=dev-ruby/rack-test-0.6
+	<dev-ruby/rack-test-1 )"
+
+all_ruby_prepare() {
+	sed -i -e "/RUBY_VERSION/,+10d" spec/spec_helper.rb || die
+}


^ permalink raw reply related	[flat|nested] 3+ messages in thread

* [gentoo-commits] dev/mrueg:master commit in: dev-ruby/omniauth-saml/
@ 2016-08-22 20:53 Manuel Rüger
  0 siblings, 0 replies; 3+ messages in thread
From: Manuel Rüger @ 2016-08-22 20:53 UTC (permalink / raw
  To: gentoo-commits

commit:     00fcdb2c3411093fae178c3173ad9aec213a96f1
Author:     Manuel Rüger <mrueg <AT> gentoo <DOT> org>
AuthorDate: Mon Aug 22 20:53:23 2016 +0000
Commit:     Manuel Rüger <mrueg <AT> gentoo <DOT> org>
CommitDate: Mon Aug 22 20:53:23 2016 +0000
URL:        https://gitweb.gentoo.org/dev/mrueg.git/commit/?id=00fcdb2c

dev-ruby/omniauth-saml: Version bump, remove old

Package-Manager: portage-2.3.0

 dev-ruby/omniauth-saml/Manifest                                         | 2 +-
 dev-ruby/omniauth-saml/metadata.xml                                     | 2 +-
 .../{omniauth-saml-1.5.0.ebuild => omniauth-saml-1.6.0.ebuild}          | 2 +-
 3 files changed, 3 insertions(+), 3 deletions(-)

diff --git a/dev-ruby/omniauth-saml/Manifest b/dev-ruby/omniauth-saml/Manifest
index ac4ebda..0c759de 100644
--- a/dev-ruby/omniauth-saml/Manifest
+++ b/dev-ruby/omniauth-saml/Manifest
@@ -1 +1 @@
-DIST omniauth-saml-1.5.0.tar.gz 16273 SHA256 6dcd4abbd60dcb920ca2658cc55b28d67c1ca9fde9025de443d254523fe9fce6 SHA512 f0bf89e1cd33008c6693a9ab04d2feb21b029adcc675bdf5e4e20ac589558c5ff9a66abb6e9ada3703e091a4768d3063769e38243a70f5bec9f4a497e870fb10 WHIRLPOOL e9736bc40391ce4a45c865f98af07592e2c7c5b7baae11cb7ad8876cc61f4ea80ac88616399da51f76354a46d15756158dd4a0158b51ce9f42f83cb2bed07f8d
+DIST omniauth-saml-1.6.0.tar.gz 15991 SHA256 f320216be4188d53dea44a3511c2a96d7cf783935a53af890a89032e0245bff6 SHA512 bbb174d27b7cd6458c0b0a4fca65ce7c034f8ba115d8345818e70c6a75842bd7424f5cc502b76c7e0344a667067effb95390a36d49ee7dd8c3746436032f8b52 WHIRLPOOL b244b46d45a3830a1755f116e34230869e5e2e54128ffeac5d5bd35fc92696e8777ab2719b20b8dbd39a725c4e029a4c466be08abd161a3dbdcd4cdd8f75e7d8

diff --git a/dev-ruby/omniauth-saml/metadata.xml b/dev-ruby/omniauth-saml/metadata.xml
index bfcb697..97df2a0 100644
--- a/dev-ruby/omniauth-saml/metadata.xml
+++ b/dev-ruby/omniauth-saml/metadata.xml
@@ -1,7 +1,7 @@
 <?xml version="1.0" encoding="UTF-8"?>
 <!DOCTYPE pkgmetadata SYSTEM "http://www.gentoo.org/dtd/metadata.dtd">
 <pkgmetadata>
-	<maintainer>
+	<maintainer type="person">
 		<email>mrueg@gentoo.org</email>
 		<name>Manuel Rüger</name>
 	</maintainer>

diff --git a/dev-ruby/omniauth-saml/omniauth-saml-1.5.0.ebuild b/dev-ruby/omniauth-saml/omniauth-saml-1.6.0.ebuild
similarity index 96%
rename from dev-ruby/omniauth-saml/omniauth-saml-1.5.0.ebuild
rename to dev-ruby/omniauth-saml/omniauth-saml-1.6.0.ebuild
index 7081bfc..35d1099 100644
--- a/dev-ruby/omniauth-saml/omniauth-saml-1.5.0.ebuild
+++ b/dev-ruby/omniauth-saml/omniauth-saml-1.6.0.ebuild
@@ -22,7 +22,7 @@ IUSE=""
 
 ruby_add_rdepend ">=dev-ruby/omniauth-1.3
 	<dev-ruby/omniauth-2
-	>=dev-ruby/ruby-saml-1.1.1
+	>=dev-ruby/ruby-saml-1.3
 	<dev-ruby/ruby-saml-2"
 ruby_add_bdepend "test? ( >=dev-ruby/rack-test-0.6
 	<dev-ruby/rack-test-1 )"


^ permalink raw reply related	[flat|nested] 3+ messages in thread

* [gentoo-commits] dev/mrueg:master commit in: dev-ruby/omniauth-saml/
@ 2016-10-24 19:58 Manuel Rüger
  0 siblings, 0 replies; 3+ messages in thread
From: Manuel Rüger @ 2016-10-24 19:58 UTC (permalink / raw
  To: gentoo-commits

commit:     49cb3c80631ffe54c2c587a480402fbba4544dda
Author:     Manuel Rüger <mrueg <AT> gentoo <DOT> org>
AuthorDate: Mon Oct 24 19:58:32 2016 +0000
Commit:     Manuel Rüger <mrueg <AT> gentoo <DOT> org>
CommitDate: Mon Oct 24 19:58:32 2016 +0000
URL:        https://gitweb.gentoo.org/dev/mrueg.git/commit/?id=49cb3c80

dev-ruby/omniauth-saml: Version bump, remove old

Package-Manager: portage-2.3.2

 dev-ruby/omniauth-saml/Manifest                                         | 2 +-
 .../{omniauth-saml-1.6.0.ebuild => omniauth-saml-1.7.0.ebuild}          | 2 +-
 2 files changed, 2 insertions(+), 2 deletions(-)

diff --git a/dev-ruby/omniauth-saml/Manifest b/dev-ruby/omniauth-saml/Manifest
index 0c759de..cd1ec74 100644
--- a/dev-ruby/omniauth-saml/Manifest
+++ b/dev-ruby/omniauth-saml/Manifest
@@ -1 +1 @@
-DIST omniauth-saml-1.6.0.tar.gz 15991 SHA256 f320216be4188d53dea44a3511c2a96d7cf783935a53af890a89032e0245bff6 SHA512 bbb174d27b7cd6458c0b0a4fca65ce7c034f8ba115d8345818e70c6a75842bd7424f5cc502b76c7e0344a667067effb95390a36d49ee7dd8c3746436032f8b52 WHIRLPOOL b244b46d45a3830a1755f116e34230869e5e2e54128ffeac5d5bd35fc92696e8777ab2719b20b8dbd39a725c4e029a4c466be08abd161a3dbdcd4cdd8f75e7d8
+DIST omniauth-saml-1.7.0.tar.gz 18932 SHA256 4b0ba80b29d3ad36bf30e8db18d7ff6ab414fe3aba4d88df6417ff22ad061478 SHA512 1209228f1f3013e3045803553886194ca53a871d1686641e574d2fc5dd6f7bf16d9b26a4f959ac807b4457c29419046bef0decb0a6cdbfddc6dcdec6d734c293 WHIRLPOOL 0ce4da4a2c50bcdf0c134fb76958c298ba407bc086cfea4c4edbdd6fd43151878fcaf8889357951fff6155ca4a74cb69037fa3a60c1bb62bb040b71dc6136234

diff --git a/dev-ruby/omniauth-saml/omniauth-saml-1.6.0.ebuild b/dev-ruby/omniauth-saml/omniauth-saml-1.7.0.ebuild
similarity index 96%
rename from dev-ruby/omniauth-saml/omniauth-saml-1.6.0.ebuild
rename to dev-ruby/omniauth-saml/omniauth-saml-1.7.0.ebuild
index 35d1099..ffb14c5 100644
--- a/dev-ruby/omniauth-saml/omniauth-saml-1.6.0.ebuild
+++ b/dev-ruby/omniauth-saml/omniauth-saml-1.7.0.ebuild
@@ -22,7 +22,7 @@ IUSE=""
 
 ruby_add_rdepend ">=dev-ruby/omniauth-1.3
 	<dev-ruby/omniauth-2
-	>=dev-ruby/ruby-saml-1.3
+	>=dev-ruby/ruby-saml-1.4
 	<dev-ruby/ruby-saml-2"
 ruby_add_bdepend "test? ( >=dev-ruby/rack-test-0.6
 	<dev-ruby/rack-test-1 )"


^ permalink raw reply related	[flat|nested] 3+ messages in thread

end of thread, other threads:[~2016-10-24 19:58 UTC | newest]

Thread overview: 3+ messages (download: mbox.gz follow: Atom feed
-- links below jump to the message on this page --
2016-10-24 19:58 [gentoo-commits] dev/mrueg:master commit in: dev-ruby/omniauth-saml/ Manuel Rüger
  -- strict thread matches above, loose matches on Subject: below --
2016-08-22 20:53 Manuel Rüger
2016-03-27 18:18 Manuel Rüger

This is a public inbox, see mirroring instructions
for how to clone and mirror all data and code used for this inbox